import request from '@/utils/request'

// 查询cmc项目变更列表
export function listProjectChange(query) {
  return request({
    url: '/oa/projectChange/list',
    method: 'get',
    params: query
  })
}

// 查询cmc项目变更详细
export function getProjectChange(changeId) {
  return request({
    url: '/oa/projectChange/' + changeId,
    method: 'get'
  })
}

// 新增cmc项目变更
export function addProjectChange(data) {
  return request({
    url: '/oa/projectChange',
    method: 'post',
    data: data
  })
}

// 修改cmc项目变更
export function updateProjectChange(data) {
  return request({
    url: '/oa/projectChange',
    method: 'put',
    data: data
  })
}

// 删除cmc项目变更
export function delProjectChange(changeId) {
  return request({
    url: '/oa/projectChange/' + changeId,
    method: 'delete'
  })
}
